pcl::PFHRGBSignature250 Struct Reference
Module common

A point structure representing the Point Feature Histogram with colors (PFHRGB). More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| PFHRGBSignature250 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [250] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const PFHRGBSignature250 &p)

## Detailed Description

A point structure representing the Point Feature Histogram with colors (PFHRGB).

Definition at line 1366 of file point_types.hpp.

## Constructor & Destructor Documentation

## PFHRGBSignature250()

pcl::PFHRGBSignature250::PFHRGBSignature250 | ( |  | ) |

inline default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::PFHRGBSignature250::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1369 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PFHRGBSignature250 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::PFHRGBSignature250::histogram[250] = {0.f}

Definition at line 1368 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp